summaryrefslogtreecommitdiff
path: root/TS/run-paper-strong-rank.sh
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-05-31 15:44:51 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-05-31 15:44:51 +0200
commit20e2656d51a2d13a6d4783b97933e8098a1ff158 (patch)
treeaaefe7575476ab8f8ac3032fa4dbc8cb3bb6304a /TS/run-paper-strong-rank.sh
parentea5352505750377a1de36c1fa12e012dc0d3af4c (diff)
TS: port CPU and NMC versions to dfatool
Diffstat (limited to 'TS/run-paper-strong-rank.sh')
-rwxr-xr-xTS/run-paper-strong-rank.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/TS/run-paper-strong-rank.sh b/TS/run-paper-strong-rank.sh
new file mode 100755
index 0000000..ec07fab
--- /dev/null
+++ b/TS/run-paper-strong-rank.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks TS strong-rank (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# 256 and 512 are not part of upstream config space
+for nr_dpus in 512 256 1 4 16 64; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ # upstream code did not respect $BL in the makefile and used 256B (BL=8) instead.
+ # BL=10 appears to be slightly faster.
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/ts_host -w 0 -e 100 -n 524288 || true
+ fi
+ done
+done
+) | tee log-paper-strong-rank.txt